## ostree-repo-file ostree-repo-file |

## Functions

gboolean | ostree_repo_file_ensure_resolved ()
gboolean | ostree_repo_file_get_xattrs ()
OstreeRepo * | ostree_repo_file_get_repo ()
OstreeRepoFile * | ostree_repo_file_get_root ()
void | ostree_repo_file_tree_set_metadata ()
const char * | ostree_repo_file_tree_get_contents_checksum ()
const char * | ostree_repo_file_tree_get_metadata_checksum ()
GVariant * | ostree_repo_file_tree_get_contents ()
GVariant * | ostree_repo_file_tree_get_metadata ()
const char * | ostree_repo_file_get_checksum ()
int | ostree_repo_file_tree_find_child ()
gboolean | ostree_repo_file_tree_query_child ()

## Types and Values

typedef | OstreeRepoFile

## Description

## Functions

### ostree_repo_file_ensure_resolved ()

    gboolean
    ostree_repo_file_ensure_resolved (OstreeRepoFile *self,
                                      GError **error);

### ostree_repo_file_get_xattrs ()

    gboolean
    ostree_repo_file_get_xattrs (OstreeRepoFile *self,
                                 GVariant **out_xattrs,
                                 GCancellable *cancellable,
                                 GError **error);

### ostree_repo_file_get_repo ()

    OstreeRepo *
    ostree_repo_file_get_repo (OstreeRepoFile *self);

#### Returns

Repository.

[transfer none]

### ostree_repo_file_get_root ()

    OstreeRepoFile *
    ostree_repo_file_get_root (OstreeRepoFile *self);

#### Returns

The root directory for the commit referenced by this file.

[transfer none]

### ostree_repo_file_tree_set_metadata ()

    void
    ostree_repo_file_tree_set_metadata (OstreeRepoFile *self,
                                        const char *checksum,
                                        GVariant *metadata);

### ostree_repo_file_tree_get_contents_checksum ()

    const char *
    ostree_repo_file_tree_get_contents_checksum
                                   (OstreeRepoFile *self);

### ostree_repo_file_tree_get_metadata_checksum ()

    const char *
    ostree_repo_file_tree_get_metadata_checksum
                                   (OstreeRepoFile *self);

### ostree_repo_file_tree_get_contents ()

    GVariant *
    ostree_repo_file_tree_get_contents (OstreeRepoFile *self);

### ostree_repo_file_tree_get_metadata ()

    GVariant *
    ostree_repo_file_tree_get_metadata (OstreeRepoFile *self);

### ostree_repo_file_get_checksum ()

    const char *
    ostree_repo_file_get_checksum (OstreeRepoFile *self);

### ostree_repo_file_tree_find_child ()

    int
    ostree_repo_file_tree_find_child (OstreeRepoFile *self,
                                      const char *name,
                                      gboolean *is_dir,
                                      GVariant **out_container);

### ostree_repo_file_tree_query_child ()

    gboolean
    ostree_repo_file_tree_query_child (OstreeRepoFile *self,
                                       int n,
                                       const char *attributes,
                                       GFileQueryInfoFlags flags,
                                       GFileInfo **out_info,
                                       GCancellable *cancellable,
                                       GError **error);

## Types and Values

### OstreeRepoFile

    typedef struct OstreeRepoFile OstreeRepoFile;